%global momorel 1

Name:           perl-Catalyst-Plugin-Authentication-Store-DBIC
Version:        0.11
Release:        %{momorel}m%{?dist}
Summary:        Authentication and authorization against a DBIx::Class or Class::DBI model
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Authentication-Store-DBIC/
Source0:	http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-Authentication-Store-DBIC-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Catalyst-Model-DBIC-Schema
BuildRequires:  perl-Catalyst-Plugin-Authentication >= 0.06
BuildRequires:  perl-Catalyst-Plugin-Authorization-Roles
BuildRequires:  perl-Catalyst-Plugin-Session-State-Cookie
BuildRequires:  perl-Catalyst-Runtime
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-DBIx-Class
BuildRequires:  perl-Class-DBI
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Set-Object >= 1.14
BuildRequires:  perl-Test-WWW-Mechanize-Catalyst
Requires:       perl-Catalyst-Model-DBIC-Schema
Requires:       perl-Catalyst-Plugin-Authentication >= 0.06
Requires:       perl-Catalyst-Runtime
Requires:       perl-Class-Accessor
Requires:       perl-DBIx-Class
Requires:       perl-Class-DBI
Requires:       perl-Set-Object >= 1.14
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This plugin uses a DBIx::Class (or Class::DBI) object to
authenticate a user.

%prep
%setup -q -n Catalyst-Plugin-Authentication-Store-DBIC-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*/*/*/*/*
%{perl_vendorlib}/*/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Fri Jul  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Fri Apr 11 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.09-4m)
- add BuildRequires:

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.09-3m)
- rebuild against gcc43

* Mon Mar  3 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.09-2m)
- add BuildRequires

* Sat Oct 13 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09
- modify BuildRequires: and Requires: section

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-3m)
- use vendor

* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.07-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
